<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity VariableClassType.
    -->
    <changeSet id="20241024175407-1" author="omg">
        <createTable tableName="variable_class_type" remarks="Variable Class Type\nDfines a group of VariableClasse's to be reused in several variables.">
            <column name="id" type="bigint" autoIncrement="true" startWith="1500">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="code" type="varchar(255)" remarks="Code of the variable class type. Must be unique.">
                <constraints nullable="false" unique="true" uniqueConstraintName="ux_variable_class_type__code" />
            </column>
            <column name="name" type="varchar(255)" remarks="The name for the classe type. This is internaly displayed only.">
                <constraints nullable="false" />
            </column>
            <column name="description" type="varchar(255)" remarks="Description for the variable class type">
                <constraints nullable="true" />
            </column>
            <column name="label" type="varchar(255)" remarks="The label to present to the end user. It can be overriden by Variable.">
                <constraints nullable="false" />
            </column>
            <column name="version" type="integer" defaultValueNumeric="-1" remarks="Record version for concurrency control.">
                <constraints nullable="false" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
    </changeSet>

</databaseChangeLog>
